<?php
class UsersController extends BaseController {

    public function __construct(){}

    public function UsersIndex(){
    	$users = DB::table('users_groups')
    				->select(array('users.id', 'users.first_name', 'users.last_name', 'users.email', 'users.img_perfil', 'groups.name AS group_name'))
    				->join('users', 'users.id', '=','users_groups.user_id')
    				->join('groups', 'groups.id', '=','users_groups.group_id')
    				//->where('id', '!=', Sentry::getUser()->id)
    				->get();

    	return View::make('users.index')
    				->with(array(
    						'users'	=> $users
    					));
    }

    public function UsersView($id){
    	$user = DB::table('users_groups')
    				->select(array('users.id', 'users.first_name', 'users.last_name', 'users.email', 'users.img_perfil', 'groups.name AS group_name', 'barrios.nombre AS nombre_barrio'))
    				->join('users', 'users.id', '=','users_groups.user_id')
    				->join('groups', 'groups.id', '=','users_groups.group_id')
    				->Leftjoin('barrios', 'barrios.id', '=', 'users.barrio_id')
    				->where('users_groups.user_id', '=', $id)
    				->first();

		return View::make('users.view')
				->with(array(
						'user'	=> $user
					));
    }

    public function EditView($id){
    	$user = DB::table('users_groups')
    				->select(array('users.id', 'users.first_name', 'users.last_name', 'users.email', 'users.img_perfil', 'groups.name AS group_name', 'users.barrio_id', 'users.estaca_id', 'users.telefono', 'users.direccion'))
    				->join('users', 'users.id', '=','users_groups.user_id')
    				->join('groups', 'groups.id', '=','users_groups.group_id')
    				->where('users_groups.user_id', '=', $id)
    				->first();
    	$estacas = DB::table('estacas')
    					->get();

    	$barrios = DB::table('barrios')
    					->get();
		return View::make('users.edit')
				->with(array(
						'estacas'	=> $estacas,
						'barrios'	=> $barrios,
						'user'		=> $user
					));
    }

    public function UsersPerfilUpload(){
		$data = array();
		$files = array();
		$res = array();
		$res['status'] = false;
	 	
		$uploaddir = 'img_perfil/';
		if(count($_FILES) > 0 ){
			foreach($_FILES as $file){
				list($txt, $ext) = explode(".", $file['name']);
				$actual_image_name = time().".".$ext;
				if(move_uploaded_file($file['tmp_name'], $uploaddir .basename($actual_image_name))){
					$id = Session::get('user.id');
					$data = array(
								'img_perfil' => $actual_image_name
							);
					$nl = DB::table('users')
							->where('id', '=', $id)
							->first();
					if($nl){
						File::delete('files/'.$nl->img_perfil);
					}
					DB::table('users')
							->where('id', '=', $id)
							->update($data);
					$res['status'] = true;
				} else {
				    $res['msg'] = 'Error al momento de subir la imagen, intente mas tarde.';
				}
			}
		} else {
			$res['msg'] = 'Selecciona una Imagen.';
		}
		return Response::json($res);
    }

    public function UsersCrear(){
    	$form = Input::get('data');
    	$res['status'] = false;

		$validator = Validator::make(
		    array(
				'first_name' 	=> $form[0]['value'],
				'last_name'		=> $form[1]['value'],
				'username'		=> $form[2]['value'],
				'passwd'		=> $form[3]['value'],
				'passwd1'		=> $form[4]['value'],
				'phone'			=> $form[5]['value'],
				'address'		=> $form[6]['value'],
				'user_type'		=> $form[10]['value']
		    ),
		    array(
				'first_name' 	=> 'required',
				'last_name'		=> 'required',
				'username'		=> 'required',
				'passwd'		=> 'required',
				'passwd1'		=> 'required',
				'phone'			=> 'required',
				'address'		=> 'required',
				'user_type'		=> 'required'
		    )
		);
		
		if(!$validator->fails()){
			if( $form[3]['value'] == $form[4]['value'] ){
				if( $form[10]['value'] != 1 && empty($form[9]['value']) ){
					$res['msg'] = 'Seleccione un Area para este Usuario.';
				} else {
					try{
						if($form[10]['value'] == 1){
							$barrio_id = 0;
						} else {
							$barrio_id = $form[8]['value'];
						}
						$group = Sentry::findGroupById($form[10]['value']);
						$pass = 'M2014';
						$user_data = array(
										'first_name' 	=> $form[0]['value'],
										'last_name' 	=> $form[1]['value'],
										'email' 		=> $form[2]['value'],
										'password' 		=> $form[3]['value'],
										'telefono'		=> $form[5]['value'],
										'direccion'		=> $form[6]['value'],
										'estaca_id'		=> $form[7]['value'],
										'barrio_id'		=> $barrio_id,
										'area_id'		=> $form[9]['value'],
										);
						$user = Sentry::createUser($user_data);
						$activationCode = $user->getActivationCode();
						$user->addGroup($group);
						try {
						    if ($user->attemptActivation($activationCode) ){
								Session::put('user.id', $user->id);
								$res['status'] = true;
								$res['msg'] = 'El Usuario fue creado exitósamente.';
							} else {
				    			$userD = Sentry::findUserById($user->id);
				    			$userD->delete();
								$res['msg'] = 'Error Activando al Usuario, porfavor vuelva a intentarlo mas tarde.';
						    }
						} catch (Cartalyst\Sentry\Users\UserAlreadyActivatedException $e) {
							$res['msg'] = 'El Usuario ya se encuentra Activado.';
						}
					}catch (Cartalyst\Sentry\Groups\GroupNotFoundException $e){
						$res['msg'] = 'No se Encontro el Departamento.';
					} catch (Cartalyst\Sentry\Users\UserExistsException $e) {
						$res['msg'] = 'El Usuario ya Existe.';
					}
				}
			} else {
				$res['msg'] = 'Las contraseñas no coinciden';
			}
		} else {
			$res['msg'] = 'Todos los campos son requeridos';
		}
		return Response::json($res);
    }

	public function EstacaList(){
		$res['status'] = false;
		try{
			$el = DB::table('estacas')
					->get();
			if($el){
				$res['status'] = true;
				$res['data'] = $el;
			} else {
				$res['msg'] = 'No hay estcas hasta el momento.';
			}
		} catch (\Exception $e) {
		       $res['msg'] = 'Error en la Base de Datos.';
		}
		return Response::json($res);
	}

	public function BarrioList(){
		$estaca_id = Input::get('estaca_id');
		$res['status'] = false;
		try{
			$el = DB::table('barrios')
					->where('estaca_id', '=', $estaca_id)
					->get();
			if($el){
				$res['status'] = true;
				$res['data'] = $el;
			} else {
				$res['msg'] = 'No hay barrios en esta Estaca.';
			}
		} catch (\Exception $e) {
		       $res['msg'] = 'Error en la Base de Datos.'.$e;
		}
		return Response::json($res);
	}

}// termina UsersController

?>