@extends('layouts.master')

@section('js')
<script type="text/javascript">

$(document).on('ready', function (){
    $('#estaca_list').on('change', BarriosSelect);
});

function BarriosSelect(){
  $('#barrio_list').html('');
  $('#barrio_list').selectmenu('refresh');
  $('#barrio_list').append('<option value = "">Seleccione una Opción...</option>');
    $.post('users/list/barrios',
      {
        estaca_id: $(this).val()
      },
      function (res){
        console.log(res);
        if(res.status == true){
        $.each(res.data, function (ind, elem){
          $('#barrio_list').append('<option value = "'+elem['id']+'">'+elem['nombre']+'</option>');
        });             
        } else {
          alert(res.msg);
        }
      }).fail(function (res){
        console.log(res);
      });
  }
</script>
@stop

@section('content')
  <div id = "nueva_area" data-role="page">
    <div data-role="header">
      <h1>Agregar Barrio</h1>
      <a href="{{ URL::to('estacas') }}" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-direction="reverse" data-transition="slideup">Atrás</a>
      <a href="{{ URL::to('/') }}" data-direction="reverse" data-transition="slideup" > <i class="fa fa-align-justify"></i> </a>
    </div> <!-- header -->
    <div data-role="content">
        @if (Session::has('msg'))
      <div class="alert alert-info">
        {{Session::get('msg')}}
            </div><!-- termina alert-warning -->
        @endif
      <form action = "{{ URL::to('area/crear') }}" method = "post" id = "add_area" accept-charset="utf-8" data-ajax = "false">
        <div class="form-group">
          <label for="estaca_list">Nombre Estaca</label>
          <select id = "estaca_list" name = "estaca_list" class = "form-control">
              <option value = "">Selecciona una Opciòn...</option>
            @foreach ($estacas as $est)
              <option value = "{{ $est->id }}">{{ $est->nombre }}</option>
            @endforeach
          </select>
        </div>
        <div class="form-group">
          <label for="barrio_list">Nombre Barrio</label>
          <select id = "barrio_list" name = "barrio_list" class = "form-control"></select>
        </div>
        <div class="form-group">
          <label for="area_name">Nombre Area</label>
          <input type = "text" class = "form-control" id = "area_name" name = "area_name" placeholder = "Nombre Area">
        </div>
        <div class="center">
          <button id = "btn_add_area" class="actualizarbtn center" data-transition="slideup"><i class="fa fa-plus"></i> Agregar</button>
        </div>
      </form>
    </div>
  </div>
 @stop