@extends('layouts.master')

@section('js')
  {{ HTML::style('statics/css/jquery.mobile.datepicker.css') }}
  {{ HTML::script('statics/js/jquery.ui.datepicker.js') }}
  {{ HTML::script('statics/js/jquery.mobile.datepicker.js') }}
  {{ HTML::script('statics/js/system/reportes.js') }}
@stop

@section('content')
<form action = "#" method = "post" id = "form_reporte">
    <div data-role="page" id="reportes">
      <div data-role="header">
        <h1>Reportes</h1>
        <a href="{{ URL::to('/') }}" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-direction="reverse" data-transition="slideup">Atrás</a>
        <a href="{{ URL::to('/') }}" data-shadow="false" data-direction="reverse" data-transition="slideup" > <i class="fa fa-align-justify"></i> </a>
      </div><!-- /header -->
      <div role="main" class="ui-content center">
        <div class="ui-grid-b">
          <div class="ui-block-a"><a href="#" class="ui-shadow ui-btn ui-corner-all">Inicio</a></div>
          <div class="ui-block-b"><a href="#form_1" class="ui-shadow ui-btn ui-corner-all">Paso 1</a></div>
          <div class="ui-block-c"><a href="#form_2" class="ui-shadow ui-btn ui-corner-all">Paso 2</a></div>
          <div class="ui-block-a"><a href="#form_3" class="ui-shadow ui-btn ui-corner-all">Paso 3</a></div>
        </div>
        <div class="center">
          <label for="">Fecha Inicial</label>
           <input type="text" name = "fi" id = "fi" data-role="date">
        </div>
        <br />
        <div class="center">
          <label for="">Fecha Final</label>
           <input type="text" name = "ff" id = "ff" data-role="date" >
        </div>
        <br />
        <div class="center">
          <div class="actualizarbtn center"><a href="#form_1" data-transition="slideup"><i class="fa fa-chevron-right"></i> Siguiente...</a></div>
        </div>
      </div><!-- termina main -->
    </div><!-- /content -->

    <div data-role="page" id="form_1">
        <div data-role="header">
            <h1>Reportes - Paso 1</h1>
            <a href="#reportes" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-rel="back">Atrás</a>
        </div><!-- /header -->

        <div class="ui-grid-b">
          <div class="ui-block-a"><a href="#reportes" class="ui-shadow ui-btn ui-corner-all">Inicio</a></div>
          <div class="ui-block-b"><a href="#form_1" class="ui-shadow ui-btn ui-corner-all">Paso 1</a></div>
          <div class="ui-block-c"><a href="#form_2" class="ui-shadow ui-btn ui-corner-all">Paso 2</a></div>
          <div class="ui-block-a"><a href="#form_3" class="ui-shadow ui-btn ui-corner-all">Paso 3</a></div>
        </div>

        <div class="row" data-role="content">

          <div class="form-group">
            <label for = "estacas">Estacas</label>
            <select class="form-control" name = "estacas" id = "estacas"></select>
          </div>

          <div class="form-group">
            <label for = "barrios">Barrios</label>
            <select class = "form-control" name = "barrios" id = "barrios">
                <option value = "">Seleccione una Opción...</option>
            </select>
          </div>

          <div class="form-group">
            <label for = "areas">Areas</label>
            <select class = "form-control" name = "areas" id = "areas">
                <option value = "">Seleccione una Opción...</option>
            </select>
          </div>

          <div class="form-group">
            <label for="bautismos">Bautismos</label>
            <input type="number" name = "bautismos" id = "bautismos" placeholder="No. Bautismos" />
          </div> <!-- block a -->
          <div class="form-group">
            <label for="number-pattern">Confirmaciones</label>
            <input type = "number" name = "confirmaciones" id = "confirmaciones" placeholder = "No. Confirmaciones" />
          </div>
          <div class="form-group">
            <label for="number-pattern">Con fecha</label>
            <input type="number" name = "con_nombre" id = "con_nombre" placeholder="No. con fecha" />
          </div>
          <div class="center formulario_report">
            <label for="">Reunión Sacramental</label>
            <div class="form-group">
              <label for="number-pattern">Primera Vez</label>
              <input type="number" name = "primera_vez" id = "primera_vez"  placeholder="Vista por primera vez" />
            </div>
            <div class="form-group">
              <label for="number-pattern">2 o + veces</label>
              <input type="number" name = "dos_veces" id = "dos_veces"  placeholder="No. veces" />
            </div>
          </div>

          <div class="center formulario_report">
            <label for="">Lecciones</label>
            <div class="form-group">
              <label for="number-pattern">Lecciones c/ miembros</label>
              <input type="number" name = "lecciones" id = "lecciones"  placeholder="No. lecciones" />
            </div>
            <div class="form-group">
              <label for="number-pattern">Otras lecciones</label>
              <input type="number" name = "otras_lecciones" id = "otras_lecciones" placeholder="No. Otras lecciones" />
            </div>
          </div>
          <div class="form-group">
            <label for="number-pattern">Investigadores Progresando</label>
            <input type="number" name = "inv_progresando" id = "inv_progresando" placeholder="No. de investigadores progresando" />
          </div>
          <div class="center">
            <div class="actualizarbtn center"><a href="#form_2" data-transition="slideup"><i class="fa fa-chevron-right"></i> Siguiente...</a></div>
          </div>
        </div><!-- termina row content -->
    </div><!-- termina form_1 -->

    <div data-role="page" id="form_2">
      <div data-role="header">
        <h1>Reportes - Paso 2</h1>
        <a href="#reportes" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-rel="back">Atrás</a>
      </div><!-- /header -->

      <div class="ui-grid-b">
        <div class="ui-block-a"><a href="#reportes" class="ui-shadow ui-btn ui-corner-all">Inicio</a></div>
        <div class="ui-block-b"><a href="#form_1" class="ui-shadow ui-btn ui-corner-all">Paso 1</a></div>
        <div class="ui-block-c"><a href="#form_2" class="ui-shadow ui-btn ui-corner-all">Paso 2</a></div>
        <div class="ui-block-a"><a href="#form_3" class="ui-shadow ui-btn ui-corner-all">Paso 3</a></div>
      </div>

      <div class="row" data-role="content">

           <div class="form-group">
           <label for="textinput-fc">Referencias Recibidas</label>
            <input type="number" name = "ref_recibida" id = "ref_recibida" placeholder="No. de referencias recibidas" />
          </div> <!-- block a -->
          <div class="form-group">
            <label for="number-pattern">Referencias Contactadas</label>
            <input type="number" name = "ref_contactados" id = "ref_contactados" placeholder="No. referencias contactadas" />
          </div>
          <div class="form-group">
            <label for="number-pattern">Referencias Miembros</label>
            <input type="number" name = "ref_miembros" id = "ref_miembros" placeholder="No. de referencias de miembros" />
          </div>
        
        <div class="center formulario_report">
          <div class="form-group">
            <label for="number-pattern">Nuevos Investigadores</label>
            <input type="number" name = "nuevo_investigadores" id = "nuevo_investigadores"  placeholder="No. de nuevos investigadores" />
          </div>
          <div class="form-group">
            <label for="number-pattern">M.A.</label>
            <input type="number" name = "ma" id = "ma"  placeholder="M.A." />
          </div>
        </div>
        <div class="center">
          <div class="actualizarbtn center"><a href="#form_3" data-transition="slideup"><i class="fa fa-chevron-right"></i> Siguiente...</a></div>
        </div>

      </div><!-- termina row content -->
    </div><!-- termina form_2 -->

    <div data-role="page" id="form_3">
        <div data-role="header">
            <h1>Reportes - Paso 3</h1>
            <a href="#reportes" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-rel="back">Atrás</a>
        </div><!-- /header -->

        <div class="ui-grid-b">
          <div class="ui-block-a"><a href="#reportes" class="ui-shadow ui-btn ui-corner-all">Inicio</a></div>
          <div class="ui-block-b"><a href="#form_1" class="ui-shadow ui-btn ui-corner-all">Paso 1</a></div>
          <div class="ui-block-c"><a href="#form_2" class="ui-shadow ui-btn ui-corner-all">Paso 2</a></div>
          <div class="ui-block-a"><a href="#form_3" class="ui-shadow ui-btn ui-corner-all">Paso 3</a></div>
        </div>

        <div class="row" data-role="content">
          <div class="form-group">
            <label for="textinput-fc">Lecciones a Miembros</label>
            <input type="number" name = "lecciones_miembros" id = "lecciones_miembros" placeholder="No. Lecciones con miembros" />
          </div> <!-- block a -->
          <div class="form-group">
            <label for="">Reunión Sacramental</label>
            <label for="number-pattern">Asistencia</label>
            <input type="number" name = "asistencia" id = "asistencia" placeholder="No. de Personas en la reunión" name="number" />
          </div>
          <br />
          <div class="center formulario_report">
            <div class="form-group">
              <label for="slider2">Junta con el Obispo?</label>
              <select name = "junta_obispo" id = "junta_obispo" data-role="slider">
                <option value="Si">No</option>
                <option value="No">Si</option>
              </select>
            </div>
            <div class="form-group">
              <label for="number-pattern">Nombres investigadores</label>
              <textarea cols="50" rows="8" name = "nombres_investigadores" id = "nombres_investigadores" placeholder="Nombre de investigadores Consejo de barrio"></textarea>
            </div>
          </div>
          <div id = "reportes_msg"></div>
          <input type = "submit" class = "btn btn-success" value = "Guardar Reporte" />
        </div><!-- tertmina rtow content -->
    </div><!-- termina form_3 -->
  </form>
@stop