@extends('layouts.master')

@section('js')
  {{ HTML::script('statics/js/system/edit_user.js') }}
@stop

@section('content')
    <div data-role="header">
        <h1>Usuarios Activos</h1>
        <a href="{{ URL::to('users/view/'.$user->id) }}" rel="external" data-shadow="false" data-icon="carat-l" data-iconpos="notext">Atrás</a>
        <a href="{{ URL::to('/') }}" class="btnhome"  > <i class="fa fa-align-justify"></i> </a>
    </div><!-- /header -->
    <br>
<br><br>
<div class="center" data-role="content">
        <form action = "#" method = "post" id = "create_user" class = "formlogin" role="form" enctype="multipart/form-data" data-ajax="true">
            <div class="form-group center">
                <div id="browse"></div>
                <div id="wrapper">
                    <input type="file" id = "img_perfil" size="1" />
                </div>
                <label for="img_perfil">Agregar Foto</label>
            </div>
            
              <div class="form-group">
                <label for="first_name">Nombre Completo</label>
                <input type="text" class="form-control" id = "first_name" name = "first_name" placeholder="Nombre completo" value = "{{$user->first_name}}" />
              </div>
              <div class="form-group">
                <label for = "last_name">Apellidos</label>
                <input type="text" class="form-control" id = "last_name" name = "last_name" placeholder="Apellidos" value = "{{$user->last_name}}" />
              </div>
              <div class="form-group">
                <label for="user">Usuario/Correo</label>
                <input type="text" class="form-control" id = "user" name = "user" placeholder="Usuario/Correo" value = "{{$user->email}}" />
              </div>
              <div class="form-group">
                <label for="phone">Teléfono</label>
                <input type="tel" class="form-control" id = "phone" name = "phone" placeholder="Teléfono" value = "{{$user->telefono}}" />
              </div> 
              <div class="form-group">
                <label for="address">Dirección </label>
                <input type="text" class="form-control" id = "address" name = "address" placeholder="Dirección Completa" value = "{{$user->direccion}}" />
              </div>              
              <div class="form-group">
                <label for = "estacas">Estacas</label>
                <select class="form-control" id = "estacas">
                  <option value = "">Seleccione una Opción...</option>
                  @foreach($estacas AS $es)
                    @if($es->id == $user->estaca_id)
                    <option value = "{{$es->id}}" selected >{{$es->nombre}}</option>
                    @else
                    <option value = "{{$es->id}}" >{{$es->nombre}}</option>
                    @endif
                  @endforeach
                </select>
              </div>
              <div class="form-group">
                <label for = "barrios">Barrios</label>
                <select class="form-control" name = "barrios" id = "barrios">
                  <option value = "">Seleccione una Opción...</option>
                  @foreach($barrios AS $ba)
                    @if($ba->id == $user->barrio_id)
                    <option value = "{{$ba->id}}" selected >{{$ba->nombre}}</option>
                    @else
                    <option value = "{{$ba->id}}" >{{$ba->nombre}}</option>
                    @endif
                  @endforeach
                </select>
              </div>

               <div class="form-group">
                <label for = "user_type">Tipo de Usuario</label>
                <select class="form-control" name = "user_type" id = "user_type">
                    <option value="">Seleccione una Opción...</option>  
                    <option value="1">Administrador</option>  
                    <option value="2">Presidente de Misión</option>  
                    <option value="3">Asistente</option>  
                    <option value="4">Secretario</option>
                    <option value="5">Lider de Zona</option>
                    <option value="6">Lider de Distrito</option>
                    <option value="7">Compañero Mayor</option>
                    <option value="8">Compañero Menor</option>
                </select>
              </div>
              <br>
              <div id = "crear_user_msg"></div>
              <button id = "crear_user_btn" class = "btn btn-success" ><i class="fa fa-check-square"></i>  Registrar Nuevo Usuario</button>
              <br>
            </form>
</div> <!-- container -->
@stop