@extends('layouts.master')

@section('js')
{{ HTML::script('statics/js/system/users.js') }}
@stop

@section('content')
<div data-role="page" class="my-page">
    <div data-role="header">
        <h1>Usuarios Activos</h1>
        <a href="{{ URL::to('/') }}" data-shadow="false" data-icon="carat-l" data-iconpos="notext" data-direction="reverse" data-transition="slideup">Atrás</a>
        <a href="{{ URL::to('/') }}" data-direction="reverse" data-transition="slideup" > <i class="fa fa-align-justify"></i> </a>
    </div><!-- /header -->
    <br />
    <div class="btns center">
        <div class="btn1 right">
            <div class="btnusuario_nvo"><a href="#usuarios_nvos" data-transition="slideup"><i class="fa fa-plus"></i> Nuevos Usuarios</a></div>
        </div><!-- col-6 -->
    </div><!-- btn -->
    <div role="main" class="ui-content">
        <ul id = "users_list" data-role="listview" data-inset="true">
            @foreach($users AS $u)
            <li><a href="{{ URL::to('users/view/'.$u->id) }}" data-transition="slide" rel="external">
                {{ HTML::image('img_perfil/'.$u->img_perfil, $u->first_name, array('class' => 'ui-li-thumb')) }}
                <h2>{{ $u->first_name }} {{ $u->last_name }}</h2>
                <p>{{ $u->email }}</p>
                <p class="ui-li-aside">{{ $u->group_name }}</p>
            </a></li>            
            @endforeach
        </ul>
    </div><!-- /content -->
</div>

<div data-role="page" id="usuarios_nvos">
    <div data-role="header">
        <h1>Registrar Usuarios Nuevos</h1>
        <a href="{{ URL::to('users') }}" data-shadow="false" data-icon="carat-l" data-iconpos="notext" rel="external">Atrás</a>
    </div><!-- /header -->
    <div class="row" data-role="content">
        <div id="login" class="col-xs-12 col-lg-12 center margin"> 
        <form action = "#" method = "post" id = "create_user" class = "formlogin" role="form" enctype="multipart/form-data" data-ajax="true">
            <div class="form-group center">
                <div id="browse"></div>
                <div id="wrapper">
                    <input type="file" id = "img_perfil" size="1" />
                </div>
                <label for="img_perfil">Agregar Foto</label>
            </div>
            
              <div class="form-group">
                <label for="first_name">Nombre Completo</label>
                <input type="text" class="form-control" id = "first_name" name = "first_name" placeholder="Nombre completo">
              </div>
              <div class="form-group">
                <label for = "last_name">Apellidos</label>
                <input type="text" class="form-control" id = "last_name" name = "last_name" placeholder="Apellidos">
              </div>
              <div class="form-group">
                <label for="user">Usuario/Correo</label>
                <input type="text" class="form-control" id = "user" name = "user" placeholder="Usuario/Correo">
              </div>
              <div class="form-group">
                <label for="passwd">Contraseña</label>
                <input type="password" class="form-control" id = "passwd" name = "passwd" placeholder="Contraseña">
              </div> 
              <div class="form-group">
                <label for="passwd1">Confirme Contraseña</label>
                <input type="password" class = "form-control" id = "passwd1" name = "passwd1" placeholder="Confirme Contraseña">
              </div> 
              <div class="form-group">
                <label for="phone">Teléfono</label>
                <input type="tel" class="form-control" id = "phone" name = "phone" placeholder="Teléfono">
              </div> 
              <div class="form-group">
                <label for="address">Dirección </label>
                <input type="text" class="form-control" id = "address" name = "address" placeholder="Dirección Completa">
              </div>              
              <div class="form-group">
                <label for = "estacas">Estacas</label>
                <select class="form-control" name = "estacas" id = "estacas"></select>
              </div>
              <div class="form-group">
                <label for = "barrios">Barrios</label>
                <select class="form-control" name = "barrios" id = "barrios">
                    <option value = "">Seleccione una Opción...</option>
                </select>
              </div>
              <div class="form-group">
                <label for = "areas">Areas</label>
                <select class="form-control" name = "areas" id = "areas">
                    <option value = "">Seleccione una Opción...</option>
                </select>
              </div>

               <div class="form-group">
                <label for = "user_type">Tipo de Usuario</label>
                <select class="form-control" name = "user_type" id = "user_type">
                    <option value="">Seleccione una Opción...</option>  
                    <option value="1">Administrador</option>  
                    <option value="2">Presidente de Misión</option>  
                    <option value="3">Asistente</option>  
                    <option value="4">Secretario</option>
                    <option value="5">Lider de Zona</option>
                    <option value="6">Lider de Distrito</option>
                    <option value="7">Compañero Mayor</option>
                    <option value="8">Compañero Menor</option>
                </select>
              </div>
              <br>
              <div id = "crear_user_msg"></div>
              <button id = "crear_user_btn" class = "btn btn-success" ><i class="fa fa-check-square"></i>  Registrar Nuevo Usuario</button>
              <br>
            </form>
        </div><!-- col-12 -->
    </div><!-- row -->
</div> <!--  creacion de usuarios nuevos-->  

@stop